gnutls_pkcs12_set_bag(3)

NAME
gnutls_pkcs12_set_bag - API function

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_set_bag(gnutls_pkcs12_t pkcs12, gnutls_pkcs12_bag_t bag);

ARGUMENTS

gnutls_pkcs12_t pkcs12
    should contain a gnutls_pkcs12_t type

gnutls_pkcs12_bag_t bag
    An initialized bag

DESCRIPTION
This function will insert a Bag into the PKCS12 structure.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/